import { redirect } from "@sveltejs/kit";
import { generateState } from "arctic";
import { discord } from "$lib/auth/discord";
import type { RequestHandler } from "./$types";

export const GET: RequestHandler = async ({ cookies }) => {
	const state = generateState();
	const scopes = ["identify"];
	const url = discord.createAuthorizationURL(state, scopes);

	cookies.set("discord_oauth_state", state, {
		path: "/",
		httpOnly: true,
		maxAge: 60 * 10,
		sameSite: "lax",
	});

	redirect(302, url);
};
